org.springframework.data.relational.core.sql

## Interface InsertBuilder.InsertValues

All Known Subinterfaces:
  InsertBuilder.InsertIntoColumnsAndValues, InsertBuilder.InsertIntoColumnsAndValuesWithBuild, InsertBuilder.InsertValuesWithBuild

Enclosing interface:
  InsertBuilder

    public static interface InsertBuilder.InsertValues

Interface exposing `value` methods to add values to the `INSERT` statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`InsertBuilder.InsertValuesWithBuild` `value(Expression value)` Add a `value` to the `VALUES` list.
`InsertBuilder.InsertValuesWithBuild` `values(Collection<? extends Expression> values)` Add one or more `values` to the `VALUES` list.
`InsertBuilder.InsertValuesWithBuild` `values(Expression... values)` Add one or more `values` to the `VALUES` list.

### Method Detail

#### value

    InsertBuilder.InsertValuesWithBuild value(Expression value)

Add a `value` to the `VALUES` list. Calling this method multiple times will add a `value` multiple times.

Parameters:
  `value` - the value to use.
Returns:
  `this` builder.
See Also:
  `Column`

#### values

    InsertBuilder.InsertValuesWithBuild values(Expression... values)

Add one or more `values` to the `VALUES` list. Calling this method multiple times will add a `values` multiple times.

Parameters:
  `values` - the values.
Returns:
  `this` builder.
See Also:
  `Column`

#### values

    InsertBuilder.InsertValuesWithBuild values(Collection<? extends Expression> values)

Add one or more `values` to the `VALUES` list. Calling this method multiple times will add a `values` multiple times.

Parameters:
  `values` - the values.
Returns:
  `this` builder.
See Also:
  `Column`